# List MCP servers

> Source: https://truto.one/docs/api-reference/admin/mcp/list/

`GET /integrated-account/{integrated_account_id}/mcp`

Resource: **MCP**

## Path parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to list MCP servers for.

## Response body

- **`results`** _(array<object>)_
  List of MCP servers associated with the integrated account
  - **`id`** _(string)_
    Unique identifier for the MCP server
  - **`name`** _(string)_
    Name of the MCP server
  - **`config`** _(object)_
    Configuration settings for the MCP server
    - **`methods`** _(array<string>)_
      List of methods allowed for this server
    - **`tags`** _(array<string>)_
      List of tags associated with this server
  - **`created_at`** _(string)_
    Timestamp when the MCP server was created
  - **`updated_at`** _(string)_
    Timestamp when the MCP server was last updated

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/integrated-account/{integrated_account_id}/mcp' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.truto.one/integrated-account/{integrated_account_id}/mcp', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/integrated-account/{integrated_account_id}/mcp"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```
